Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.examination.app
Class ExaminationApp

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.app.CommonApp
              org.optaplanner.examples.examination.app.ExaminationApp

    public class ExaminationApp

extends CommonApp

Examination is super optimized and a bit complex. `CurriculumCourseApp` is arguably a better example to learn from.

Field Summary
`static String` | `SOLVER_CONFIG`

Fields inherited from class org.optaplanner.examples.common.app.CommonApp
`description, iconResource, logger, name, solutionBusiness, solverAndPersistenceFrame`

Constructor Summary
`ExaminationApp()`

Method Summary
`protected SolutionDao` | `createSolutionDao()`
`protected AbstractSolutionExporter` | `createSolutionExporter()`
`protected AbstractSolutionImporter` | `createSolutionImporter()`
`protected SolutionPanel` | `createSolutionPanel()`
`protected Solver` | `createSolver()`
`static void` | `main(String[] args)`

Methods inherited from class org.optaplanner.examples.common.app.CommonApp
`createSolutionBusiness, fixateLookAndFeel, getDescription, getIconResource, getName, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOLVER_CONFIG

    public static final String SOLVER_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### ExaminationApp

    public ExaminationApp()

Method Detail

### main

    public static void main(String[] args)

### createSolver

    protected Solver createSolver()

  Specified by:
    `createSolver` in class `CommonApp`

### createSolutionPanel

    protected SolutionPanel createSolutionPanel()

  Specified by:
    `createSolutionPanel` in class `CommonApp`

### createSolutionDao

    protected SolutionDao createSolutionDao()

  Specified by:
    `createSolutionDao` in class `CommonApp`

### createSolutionImporter

    protected AbstractSolutionImporter createSolutionImporter()

  Overrides:
    `createSolutionImporter` in class `CommonApp`

### createSolutionExporter

    protected AbstractSolutionExporter createSolutionExporter()

  Overrides:
    `createSolutionExporter` in class `CommonApp`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.